from machine import Pin
import utime

# Definice LED diod
led1 = Pin(15, Pin.OUT)
led2 = Pin(14, Pin.OUT)

# Definice tlačítka
tlacitko = Pin(10, Pin.IN, Pin.PULL_DOWN)

# Inicializace LED diod (obě zhasnuté)
led1.value(0)
led2.value(0)

while True:
    if tlacitko.value() == 1:
        # Tlačítko stisknuto
        led1.value(1)  # Zapnout LED 1
        led2.value(0)  # Zhasnout LED 2
    else:
        # Tlačítko není stisknuto
        led1.value(0)  # Zhasnout LED 1
        led2.value(1)  # Zapnout LED 2
    utime.sleep(0.1)  # Krátká pauza pro zamezení náhodného parazitního stavu signálu